org.eclipse.actf.visualization.engines.blind

## Class ParamBlind

- java.lang.Object
- - org.eclipse.actf.visualization.engines.blind.ParamBlind

    public class ParamBlind
    extends Object

This class stores configuration parameters of blind usability visualization

### Field Summary

Fields
`boolean` `bColorizeTags`
`static String` `BLIND_BROWSER_MODE`
`static String` `BLIND_LAYOUT_MODE`
`boolean` `bVisualizeTable`
`boolean` `bVisualizeTime`
`RGB` `captionColor`
`static int` `EN`
`RGB` `headingTagsColor`
`int` `iLanguage`
`int` `iMaxTime`
`RGB` `inputTagsColor`
`static int` `JP`
`RGB` `labelTagsColor`
`RGB` `maxTimeColor`
`boolean` `oReplaceImage`
`boolean` `oVisualizArrival`
`RGB` `tableBorderColor`
`RGB` `tableHeaderColor`
`String` `visualizeMode`

### Method Summary

Methods
`static ParamBlind` `getInstance()` Get instance of `ParamBlind`
`static void` `refresh()` Reset configuration parameters to default

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EN

    public static final int EN

See Also:
  Constant Field Values

#### JP

    public static final int JP

See Also:
  Constant Field Values

#### BLIND_LAYOUT_MODE

    public static String BLIND_LAYOUT_MODE

#### BLIND_BROWSER_MODE

    public static String BLIND_BROWSER_MODE

#### oReplaceImage

    public boolean oReplaceImage

#### oVisualizArrival

    public boolean oVisualizArrival

#### iLanguage

    public int iLanguage

#### visualizeMode

    public String visualizeMode

#### bVisualizeTime

    public boolean bVisualizeTime

#### bColorizeTags

    public boolean bColorizeTags

#### bVisualizeTable

    public boolean bVisualizeTable

#### iMaxTime

    public int iMaxTime

#### maxTimeColor

    public RGB maxTimeColor

#### tableHeaderColor

    public RGB tableHeaderColor

#### headingTagsColor

    public RGB headingTagsColor

#### inputTagsColor

    public RGB inputTagsColor

#### labelTagsColor

    public RGB labelTagsColor

#### tableBorderColor

    public RGB tableBorderColor

#### captionColor

    public RGB captionColor

### Method Detail

#### getInstance

    public static ParamBlind getInstance()

Get instance of `ParamBlind`

Returns:
  instance of `ParamBlind`

#### refresh

    public static void refresh()

Reset configuration parameters to default